Skip to main content
GET
/
api
/
v1
/
auth
/
wallets
/
all
List all wallets (paginated)
curl --request GET \
  --url https://crypto.westminister.tech/api/v1/auth/wallets/all \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "c5b0fee8-a33e-4cc8-a937-982072e8a232",
    "user_id": "383f20af-5960-4374-a5c3-b7566ea8f771",
    "name": "Ethereum Wallet",
    "address": 1.1479303874223619e+48,
    "wallet_type": "hot",
    "network": "ethereum",
    "is_default": true,
    "is_active": true,
    "created_at": "2025-12-11T11:28:31.401463Z"
  },
  {
    "id": "a16e78b9-400f-40f9-a69c-3b41ec908108",
    "user_id": "383f20af-5960-4374-a5c3-b7566ea8f771",
    "name": "TRON Wallet",
    "address": "TEPwbAa9xKCki85hBUyPBSQQkTZxkQqXSt",
    "wallet_type": "hot",
    "network": "tron",
    "is_default": true,
    "is_active": true,
    "created_at": "2025-12-11T11:27:00.179508Z"
  },
  {
    "id": "ca9eb297-e67d-4865-aea8-82f854a419e2",
    "user_id": "383f20af-5960-4374-a5c3-b7566ea8f771",
    "name": "Ethereum Wallet",
    "address": 1.04983004566171e+48,
    "wallet_type": "hot",
    "network": "ethereum",
    "is_default": true,
    "is_active": true,
    "created_at": "2025-12-11T11:26:34.359159Z"
  },
  {
    "id": "22683a02-1088-459e-b8ab-985b02114f02",
    "user_id": "383f20af-5960-4374-a5c3-b7566ea8f771",
    "name": "TRON Wallet",
    "address": "TPRA3enriUJYQLhAKrLhnLyLco6qoAzCyw",
    "wallet_type": "hot",
    "network": "tron",
    "is_default": true,
    "is_active": true,
    "created_at": "2025-12-11T11:04:26.30873Z"
  },
  {
    "id": "05e36fd9-88e9-4dfb-8d8b-07493cef8e84",
    "user_id": "383f20af-5960-4374-a5c3-b7566ea8f771",
    "name": "TRON Wallet",
    "address": "TFviB3ioZTnbPJVqqWjqZJbc6zu7hkeyEc",
    "wallet_type": "hot",
    "network": "tron",
    "is_default": false,
    "is_active": true,
    "created_at": "2025-12-09T12:21:56.117616Z"
  },
  {
    "id": "ea963c72-35d4-4a4e-8e32-70971c27f188",
    "user_id": "383f20af-5960-4374-a5c3-b7566ea8f771",
    "name": "Ethereum Wallet",
    "address": 1.0526201056375617e+48,
    "wallet_type": "hot",
    "network": "ethereum",
    "is_default": true,
    "is_active": true,
    "created_at": "2025-12-09T12:21:56.103584Z"
  },
  {
    "id": "4a1b9932-d101-45ad-8848-ed949eb8d3bf",
    "user_id": "7a4301b0-e04b-4102-a999-b17dada65509",
    "name": "TRON Wallet",
    "address": "TYuPXD3E3ckuTAmCU5kiuNQjnYrcSBViMq",
    "wallet_type": "hot",
    "network": "tron",
    "is_default": false,
    "is_active": true,
    "created_at": "2025-12-09T12:13:17.248611Z"
  },
  {
    "id": "59b1de61-676b-44f3-b867-9cb665863937",
    "user_id": "7a4301b0-e04b-4102-a999-b17dada65509",
    "name": "Ethereum Wallet",
    "address": 5.382439948591072e+47,
    "wallet_type": "hot",
    "network": "ethereum",
    "is_default": true,
    "is_active": true,
    "created_at": "2025-12-09T12:13:17.2312Z"
  },
  {
    "id": "2f39a8f7-9562-4a39-8970-9995e72bd085",
    "user_id": "b523ed51-a7e0-4c53-8ac2-3c0b7e1c9cd5",
    "name": "TRON Wallet",
    "address": "TKDCsBHvF25f9mUPuuQRjC1W7smMiyqkn6",
    "wallet_type": "hot",
    "network": "tron",
    "is_default": false,
    "is_active": true,
    "created_at": "2025-12-09T12:09:14.774024Z"
  },
  {
    "id": "3b87841a-8905-4b7b-8a0c-12bfb4e413f7",
    "user_id": "b523ed51-a7e0-4c53-8ac2-3c0b7e1c9cd5",
    "name": "Ethereum Wallet",
    "address": 4.085896624744069e+47,
    "wallet_type": "hot",
    "network": "ethereum",
    "is_default": true,
    "is_active": true,
    "created_at": "2025-12-09T12:09:14.757306Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page_id
integer
required

Page number (1-based).

Required range: x >= 1
page_size
integer
required

Page size (5–20).

Required range: 5 <= x <= 20

Response

200 - application/json

All wallets (paginated)

id
string<uuid>

Wallet ID.

user_id
string<uuid>

Owner user ID.

name
string

Wallet label (e.g.

address
string

Chain address.

wallet_type
string

hot/cold/etc.

network
string

Network name (ethereum

is_default
boolean

Whether this is the default wallet for the network.

is_active
boolean

Whether wallet is active.

created_at
string<date-time>

Wallet creation timestamp (RFC 3339).